.diningCard_wrap {
    width: 100%;
    max-width: 74.1rem;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 6rem;
}

.diningCard_image {
    width: 100%;
    aspect-ratio: 1482/848;
    background-color: var(--secondary-color);
    position: relative;
    z-index: 1;
}

.diningCard_image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
}

.diningCard_fullscreen_btn {
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    width: 1rem;
    height: 1rem;
    z-index: 100;
    border: none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fffc;
    transition: all 0.3s ease;
    background: transparent;
    cursor: pointer;
}

.diningCard_fullscreen_btn img {
    width: 1rem;
    height: 1rem;
}

.diningCard_content {
    gap: 0.5rem;
    height: 14.5rem;
}

.diningCard_content_thumb {
    width: 15rem;
    height: 14rem;
    background-color: var(--secondary-color);
    position: relative;
    z-index: 1;
}

.diningCard_content_thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
}

.diningCard_content_wrap {
    position: relative;
    z-index: 2;
    width: 100%;
    max-width: 22.8rem;
    background: #000000;
    color: white;
    padding: 3.5rem 1.6rem ;
}

.diningCard_content_wrap h3 {
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 0.5rem;
}

.diningCard_content_wrap p {
    font-weight: 300;
    font-size: 0.9rem;
    line-height: 1.2;
    padding-right: 16%;
    margin-bottom: 0.5rem;
}

.diningCard_content_wrap p.diningCard_content_detials {
    padding: 3rem 0 0;
    line-height: 1.6;
    margin: 0;
}

.diningCard_content_wrap p.diningCard_content_detials span {
    display:block;
    font-size: 0.9rem;
    font-weight: 600;
}

@media (max-width: 767px) {
    .diningCard_content {
        height: auto;
        flex-wrap: wrap;
        padding-top: 0.5rem;
    }
    .diningCard_content_wrap {
        max-width: 100%;
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 2.5rem 1rem;
    }
    .diningCard_content_wrap p {
        padding-right: 0;
        max-width: 20rem;
    }
    .diningCard_content_wrap p.diningCard_content_detials {
        padding: 1.5rem 0 0;
    }
    .diningCard_content_thumb {
        max-width: 15rem;
        width: 10%;
        flex-grow: 1;
        aspect-ratio: 193/110;
        height: auto;
    }
    .diningCard_image {
        aspect-ratio: 318/365;
    }
}

@media(max-width: 575px) {
    .diningCard_image {
        aspect-ratio: 396/365;
    }
}

@media(max-width: 372px) {
    .diningCard_content_wrap h3 {
        font-size: 1.2rem;
    }
    .diningCard_content_wrap p {
        font-size: 0.8rem;
    }
}
